View Issue Details

IDProjectCategoryView StatusLast Update
0001349FreeCADFeaturepublic2017-03-27 08:12
ReportershoogenAssigned Towmayer 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.14 
Summary0001349: recognize remote branches for Version.h in detached head state
Descriptionif the developer checks out a reomte branch (e.g. origin/master) his local repo changes into detached head state. Therefore the version information included at cmake runtime is always set to '(no branch)'.
The provided patch takes remotes branches into account when determined the branch name.
Additional InformationThe first result of the git command for HEAD will always be HEAD, therefore it has to be skipped. The order of the further results seams reasonable to me.
This will however leak the name used locally for the remote repo.
TagsNo tags attached.

Activities

shoogen

2014-01-10 12:36

developer   ~0004036

available at
git://github.com/5263/FreeCAD.git feat-0001349

shoogen

2014-01-10 12:48

developer   ~0004037

Example:
OS: Debian GNU/Linux 7.3 (wheezy)
Platform: 64-bit
Version: 0.14.2993 (Git)
Branch: origin/master
Hash: 270d25658dd98e5fee475d9e534212f0ed373002
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
SoQt version: 1.5.0

shoogen

2014-01-10 14:06

developer   ~0004038

i added git describe as new fallback

wmayer

2014-01-11 12:40

administrator   ~0004044

git show a7b16c5

Related Changesets

FreeCAD: master a7b16c57

2014-01-10 14:19:49

Sebastian Hoogen


Committer: wmayer Details Diff
0001349 recognize remote branches for Version.h in detached head state Affected Issues
0001349
mod - src/Tools/SubWCRev.py Diff File

Issue History

Date Modified Username Field Change
2014-01-10 12:32 shoogen New Issue
2014-01-10 12:36 shoogen Note Added: 0004036
2014-01-10 12:39 shoogen File Added: 0001-0001349-recognize-remote-branches-for-Version.h-in-d.patch
2014-01-10 12:40 shoogen File Deleted: 0001-0001349-recognize-remote-branches-for-Version.h-in-d.patch
2014-01-10 12:48 shoogen Note Added: 0004037
2014-01-10 12:49 shoogen Tag Attached: build-tools
2014-01-10 12:49 shoogen Tag Attached: git
2014-01-10 13:32 shoogen Status new => feedback
2014-01-10 14:06 shoogen Note Added: 0004038
2014-01-10 14:06 shoogen Status feedback => new
2014-01-11 12:40 wmayer Note Added: 0004044
2014-01-11 12:40 wmayer Status new => closed
2014-01-11 12:40 wmayer Assigned To => wmayer
2014-01-11 12:40 wmayer Resolution open => fixed
2014-01-11 12:40 wmayer Fixed in Version => 0.14
2017-03-24 16:22 Kunda1 Tag Detached: git
2017-03-24 16:23 Kunda1 Tag Detached: build-tools
2017-03-27 08:12 Kunda1 Changeset attached => FreeCAD master a7b16c57